Bug 1561698 - When logged in as non-admin user, access control role name updates are not updated in the Access Control accordion until after a manual refresh
Summary: When logged in as non-admin user, access control role name updates are not up...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Dávid Halász
QA Contact: Antonin Pagac
URL:
Whiteboard: webui:rbac
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-28 17:36 UTC by Landon LaSmith
Modified: 2019-02-07 23:01 UTC (History)
7 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:01:30 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)
Screenshot of role failing to update (123.48 KB, image/png)
2018-03-28 17:36 UTC, Landon LaSmith
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:01:37 UTC

Description Landon LaSmith 2018-03-28 17:36:32 UTC
Created attachment 1414341 [details]
Screenshot of role failing to update

Description of problem: During an initial login as non-admin user with permissions for Settings->Configuration, role name updates are not reflected in the access control accordion until after a manual browser refresh. After the refresh, all role name updates trigger and accordion refresh automatically

Version: 5.9.2


How reproducible: 100% so far


Steps to Reproduce:
1. Login as admin and user, group and role with minimal user configuration permissions: "Services->Catalog Explorer" and "Settings->Configuration"
2. Login as the non-admin user
3. Navigate to configuration Access Control and create a new role with any set of permissions.
4. Edit the role by changing the name. Example: test-role ==> test-role-edited
5. Repeat steps 3-4 any number of times.

Actual results: The updated role name is not reflected in the accordion under Access Control -> CFME Region -> Roles -> <<test-role-edited>>. Additional role creation actions may not display in the accordion but will show up in the role checklist view. A manual refresh will update the accordion and usually allow futures role name updates to refresh the accordion


Expected results: Accordion will be refreshed after every role update w/o a manual update

Additional info: A manual refresh usually updates resolves the issue for all future role actions

Comment 4 CFME Bot 2018-04-05 08:26:45 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/631afc7ebb668405d6abbbecbbee4fce99f667a4
commit 631afc7ebb668405d6abbbecbbee4fce99f667a4
Author:     Dávid Halász <dhalasz@redhat.com>
AuthorDate: Tue Apr  3 04:27:22 2018 -0400
Commit:     Dávid Halász <dhalasz@redhat.com>
CommitDate: Tue Apr  3 04:27:22 2018 -0400

    Force expand active node in TreeBuilder

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1561698

 app/presenters/tree_builder.rb | 5 +-
 1 file changed, 4 insertions(+), 1 deletion(-)

Comment 5 Antonin Pagac 2018-10-12 13:01:11 UTC
Verified with 5.10.0.19.

Comment 6 errata-xmlrpc 2019-02-07 23:01:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.